API reference › Finance › Invoices

Get detailed information for multiple invoices

GET /v1/finance/invoices-details

Scope
finance:read
Roles
admin, scheduler

Retrieves comprehensive details for multiple invoices including client information, assignments, shifts, financial summary, and line items. Used for selecting invoices to include in pro-formas.

Parameters

Query parameters

NameTypeDescription
ids requiredstring

Comma-separated list of Invoice IDs to get details for

Example INV-12345,INV-67890.

Every call also sends Authorization and X-Tenant-ID; see Getting started.

Example request

Shell
curl "https://api.fetchfido.ai/v1/finance/invoices-details?ids=INV-12345,INV-67890" \
  -H "Authorization: Bearer $FIDO_API_KEY" \
  -H "X-Tenant-ID: $FIDO_TENANT_ID"

Try it

Responses

200 Invoice details retrieved successfully

Invoice details retrieved successfully

JSON
{
  "success": true,
  "message": "Invoice details retrieved successfully",
  "data": [
    {
      "id": "INV-12345",
      "client": {
        "id": "CLT-12345",
        "name": "Acme Corporation",
        "email": "contact@acme.com",
        "phone": "(123) 456-7890"
      },
      "financialSummary": {
        "totalInvoiceAmount": 1250.5
      },
      "status": "Sent",
      "total": 1250.5,
      "is_paid": false,
      "paid_label": null
    }
  ]
}
Response fields (15)
FieldTypeDescription
successboolean

Example true.

messagestring

Example Invoice details retrieved successfully.

dataarray of object
data[].idstring

Example INV-12345.

data[].clientobject
data[].client.idstring

Example CLT-12345.

data[].client.namestring

Example Acme Corporation.

data[].client.emailstring

Example contact@acme.com.

data[].client.phonestring

Example (123) 456-7890.

data[].financialSummaryobject
data[].financialSummary.totalInvoiceAmountnumber (float)

Example 1250.5.

data[].statusstring

Example Sent.

data[].totalnumber (float)

Example 1250.5.

data[].is_paidboolean

True if this invoice is paid (status INVOICE_PAID or balance_due <= 0 and client_paid_amount > 0). Exclude it from the pro forma total and charges.

Example false.

data[].paid_labelstring or null

'Paid in invoice' when is_paid is true; null otherwise.

400 Bad request

Missing required parameter

JSON
{
  "success": false,
  "message": "Missing required parameter: ids"
}
Response fields (2)
FieldTypeDescription
successboolean

Example false.

messagestring

Example Missing required parameter: ids.

401 Not signed in

Missing, invalid or expired API key.

JSON
{
  "success": false,
  "message": "Invalid API key. Org and user tier keys must send an X-Tenant-ID header naming the organization the key was issued for.",
  "errors": null,
  "code": "API_KEY_MISSING"
}
Response fields (4)
FieldTypeDescription
successboolean

Example false.

messagestring

Example Invalid API key. Org and user tier keys must send an X-Tenant-ID header naming the organization the key was issued for..

errorsany or null

Null on this status.

codestring

Machine-readable reason, for branching on in client code.

One of: API_KEY_MISSING, API_KEY_INVALID, API_KEY_EXPIRED. Example API_KEY_MISSING.

403 Not allowed

Scope, tenant, IP allow-list or RBAC check failed.

JSON
{
  "success": false,
  "message": "You don't have permission to access this endpoint. This API key is missing the 'finance:read' scope.",
  "errors": null,
  "code": ""
}
Response fields (4)
FieldTypeDescription
successboolean

Example false.

messagestring

Example You don't have permission to access this endpoint. This API key is missing the 'finance:read' scope..

errorsany or null

Null on this status.

codestring

Always empty on this status.

Example .

429 Too many requests

Rate limit exceeded. See Retry-After.

JSON
{
  "success": false,
  "message": "You've exceeded this API key's rate limit of 120 requests per minute. Try again in 37 seconds.",
  "errors": null,
  "code": "RATE_LIMITED"
}
Response fields (4)
FieldTypeDescription
successboolean

Example false.

messagestring

Example You've exceeded this API key's rate limit of 120 requests per minute. Try again in 37 seconds..

errorsany or null

Null on this status.

codestring

Machine-readable reason, for branching on in client code.

One of: RATE_LIMITED. Example RATE_LIMITED.

500 Server error

Internal server error

JSON
{
  "success": false,
  "message": "An unexpected error occurred"
}
Response fields (2)
FieldTypeDescription
successboolean

Example false.

messagestring

Example An unexpected error occurred.